#!/bin/ksh
##############################################################################
# pay.cgi
#function:invokes Java application : "payNow" to enable update of credit
#card info. in the database. Displays appropriate result: successful or
# error. If error encountered, provides ability to call customer service.
# input: crdit card type, card number, expiration date, user id, and pin
# output: same parameters as input, but sent to Java app.
# output: also, display of result of DB update
############################################################################

# set appropriate path information to execute Java application
export ORACLE_HOME=/u00/app/oracle/product/7.3.2
export PATH=$PATH:.:/home/lalitha/jdk1.1.4/lib/classes.zip:/u00/app/oracle/jdbc/lib/classes111.zip:/export/opt/suitespot/plugins/java/classes/servlet3_5.zip.:/home/lalitha/jdk1.1.4/bin:.:/opt/frame5/bin:/usr/dt/bin:/usr/openwin/bin:/bin:/usr/bin:/usr/ucb:/usr/contrib/bin:/usr/local/bin:/bin:/sbin:/usr/sbin:/etc:/home/lalitha/bin:.:/usr/local/bin:/opt/pkgsys/bin:/usr/openwin/bin:/opt/X11R5/bin:/opt/news/bin:/opt/gnu/bin:/opt/www/bin/solaris:/opt/www/bin:/opt/www/java/bin:/opt/www/hotjava/bin:/opt/misc/bin:/opt/tcl/bin:/usr/ccs/bin:/opt/SUNWsprovis/bin:/u00/app/oracle/product/7.3.2/bin:./home/lalitha/jdk1.1.4/bin/home/lalitha/jdk1.1.4/bin/home/lalitha/jdk1.1.4/bin/home/lalitha/jdk1.1.4/bin

export CLASSPATH=.:/home/lalitha/jdk1.1.4/lib/classes.zip:/u00/app/oracle/jdbc/lib/classes111.zip
export LD_LIBRARY_PATH=/u00/app/oracle/jdbc/lib:/u00/JSDK2.0/lib:/export/opt/suitespot/docs/hdml/cgi-bin/jdbc-bin/webjava/bin
export ORACLE_SID=CNS
export PATH=$ORACLE_HOME/bin:$PATH

#parse input NameValue pairs
result=$QUERY_STRING

nameValue=`echo $result |cut -d"&" -f1` 
crdTyp=`echo $nameValue | cut -d"=" -f2`

nameValue=`echo $result |cut -d"&" -f2` 
crdNo=`echo $nameValue | cut -d"=" -f2`

nameValue=`echo $result |cut -d"&" -f3 ` 
expDt=`echo $nameValue | cut -d"=" -f2 | sed s/%2f/-/`

nameValue=`echo $result |cut -d"&" -f4` 
ip_addr=`echo $nameValue | cut -d"=" -f2`

nameValue=`echo $result |cut -d"&" -f5` 
mobil_pin=`echo $nameValue | cut -d"=" -f2`

####################################################
#use the foll. for debugging purposes only
#echo $crdTyp $crdNo $expDt $ip_addr $mobil_pin >mypay.out
#crdTyp=AMEX
#crdNo=1234567890
#expDt=03/99
#ip_addr=lalitha_pc-adminport3.tri.sbc.com
#mobil_pin=9999
######################################################

#invoke Java appl.
UpdtOut=`java payNow $crdTyp $crdNo $expDt $ip_addr $mobil_pin`

#display result
echo "Content-type: text/x-hdml"
echo ""
      echo  "<HDML VERSION=2.0>"
   echo "<DISPLAY>"
#	<ACTION TYPE=ACCEPT LABEL=Done TASK=GO DEST=http://sai.tri.sbc.com/hdml/main.hdml>"
if [ $UpdtOut > 0 ] 
then
	#update successful
	# display result and return to main menu
	echo "<ACTION TYPE=ACCEPT LABEL=Done TASK=GO DEST=http://sai.tri.sbc.com/hdml/main.hdml>"
	echo "Payment Received."
	echo "Thank you."
else
	#error while updating
	echo "<ACTION TYPE=SOFT1 LABEL=Call TASK=CALL NUMBER=555-1234>"
	echo "<ACTION TYPE=ACCEPT LABEL=Done TASK=GO DEST=http://sai.tri.sbc.com/hdml/main.hdml>"
	echo " Error: 
	<br> press Call for Customer Service"
	#[ $UpdtOut = 0 ] && echo " Call Customer Service"
fi
   echo "</DISPLAY>"
echo "</HDML>"
