#!/bin/ksh
##############################################################################
# inpsh.cgi
#function: 
#invokes Java application to query the database to authenticate the user id (ip_#add) and pin. 
#if valid use, then the user related information (bill info and usage info) is 
#stored into a flat file for future use
#invoke main menu
#else, inform user about "invalid login" condition and provide retry function
# input: mobil_pin (entered by the user)
# output:billInfo.out file 
############################################################################

#set path for Java application 
export ORACLE_HOME=/u00/app/oracle/product/7.3.2
export PATH=$PATH:.:/home/lalitha/jdk1.1.4/lib/classes.zip:/u00/app/oracle/jdbc/lib/classes111.zip:/export/opt/suitespot/plugins/java/classes/servlet3_5.zip.:/home/lalitha/jdk1.1.4/bin:.:/opt/frame5/bin:/usr/dt/bin:/usr/openwin/bin:/bin:/usr/bin:/usr/ucb:/usr/contrib/bin:/usr/local/bin:/bin:/sbin:/usr/sbin:/etc:/home/lalitha/bin:.:/usr/local/bin:/opt/pkgsys/bin:/usr/openwin/bin:/opt/X11R5/bin:/opt/news/bin:/opt/gnu/bin:/opt/www/bin/solaris:/opt/www/bin:/opt/www/java/bin:/opt/www/hotjava/bin:/opt/misc/bin:/opt/tcl/bin:/usr/ccs/bin:/opt/SUNWsprovis/bin:/u00/app/oracle/product/7.3.2/bin:./home/lalitha/jdk1.1.4/bin/home/lalitha/jdk1.1.4/bin/home/lalitha/jdk1.1.4/bin/home/lalitha/jdk1.1.4/bin

export CLASSPATH=.:/home/lalitha/jdk1.1.4/lib/classes.zip:/u00/app/oracle/jdbc/lib/classes111.zip
export LD_LIBRARY_PATH=/u00/app/oracle/jdbc/lib:/u00/JSDK2.0/lib:/export/opt/suitespot/docs/hdml/cgi-bin/jdbc-bin/webjava/bin
export ORACLE_SID=CNS
export PATH=$ORACLE_HOME/bin:$PATH


	echo "Content-type: text/x-hdml"
	echo ""
      echo  "<HDML VERSION=2.0>"

#get pin info from cgi query string
pin=`echo $QUERY_STRING | cut -d"=" -f2`
ip_addr=$HTTP_X_UP_SUBNO 

###############################################
#for debugging only; not for final implementation
#echo "**$ip_addr1**">> mypay.out
#ip_addr=Lalitha_pc-lalitha.tri.sbc.com 
################################################

#invoke Java application
javaOut=`java eCare $ip_addr $pin`
[ -r billInfo\.out ] && rm billInfo.out;
if [ "$javaOut" != "invalid login" ] 
then 
	#write the java output to a file for future reference	
	echo $javaOut >> billInfo.out
	#no display card to invoke main.hdml
	echo "<NODISPLAY>
		<ACTION TYPE=ACCEPT TASK=GO DEST=http://sai.tri.sbc.com/hdml/main.hdml>
		</NODISPLAY> </HDML>"
else
	# display invalid login message and loopback for re-entry of PIN
        echo "<DISPLAY NAME=invlogin>
              <ACTION TYPE=ACCEPT LABEL=RETRY TASK=RETURN> "
          echo " Invalid Login.
      	</DISPLAY> </HDML>"
                                                                              
fi
